{% sw_extends '@Storefront/storefront/layout/footer/footer.html.twig' %}
{% block layout_footer_navigation_hotline %}{% endblock %}


{% block layout_footer_navigation %}
	<div class="container py-lg-5">
		{{ parent() }}
	</div>
{% endblock %}


{% block layout_footer_navigation_columns %}
    {% for root in page.footer.navigation.tree %}
        {% block layout_footer_navigation_column %}
            <div class="col-md footer-column js-footer-column">
                {% block layout_footer_navigation_information_headline %}
                    <div class="footer-column-headline footer-headline js-collapse-footer-column-trigger"
                         data-target="#collapseFooterTitle{{ loop.index }}"
                         aria-expanded="true"
                         aria-controls="collapseFooter{{ loop.index }}">

                        {{ root.category.translated.name }}
                        {% block layout_footer_navigation_information_icons %}
                            <div class="footer-column-toggle">
                                <span class="footer-plus-icon">
                                    {% sw_icon 'plus' %}
                                </span>
                                <span class="footer-minus-icon">
                                    {% sw_icon 'minus' %}
                                </span>
                            </div>
                        {% endblock %}
                    </div>
                {% endblock %}

                {% block layout_footer_navigation_information_content %}
                    <div id="collapseFooter{{ loop.index }}"
                         class="footer-column-content collapse js-footer-column-content"
                         aria-labelledby="collapseFooterTitle{{ loop.index }}">
                        <div class="footer-column-content-inner">
                            {% block layout_footer_navigation_information_links %}
                                <ul class="list-unstyled">
                                    {% for treeItem in root.children %}
                                        {% set category = treeItem.category %}
                                        {% set name = category.translated.name %}
                                        {% set externalLink = category.translated.externalLink %}
                                        {% block layout_footer_navigation_information_link_item %}
                                            <li class="footer-link-item">
                                                {% block layout_footer_navigation_information_link %}
                                                    <a class="footer-link"
                                                       href="{% if externalLink %}{{ externalLink }}{% else %}{{ seoUrl('frontend.navigation.page', { navigationId: category.id }) }}{% endif %}"
                                                       title="{{ name }}">
                                                        {{ name }}
                                                    </a>
                                                {% endblock %}
                                            </li>
                                        {% endblock %}
                                    {% endfor %}
                                </ul>
                            {% endblock %}
                        </div>
                    </div>
                {% endblock %}
            </div>
        {% endblock %}
    {% endfor %}
{% endblock %}

{% block layout_footer_bottom %}
    <div class="container-fluid">
		<div class="footer-bottom row bg-primary text-white p-4 py-md-5 py-lg-10 px-md-5 px-lg-7 align-items-center">
		    <div class="footer-logo col-xs-12 col-lg-auto m-0 mb-3 mb-lg-0 text-center text-lg-left">
		    	<img src="{{ shopware.theme['sw-logo-tablet'] |sw_encode_url }}" width="350" alt="">
		    </div>
		    
		    {% block layout_footer_vat %}
		        <div class="footer-vat text-left py-lg-3 col-xs-12 col-lg-auto text-center text-lg-left">
				    {% if context.taxState == "gross" %}
				        <p>{{ "footer.includeVat"|trans|sw_sanitize }}</p>
				    {% else %}
				        <p>{{ "footer.excludeVat"|trans|sw_sanitize }}</p>
				    {% endif %}
				    
				    {% block layout_footer_service_menu %}
						{% if page.header.serviceMenu|length > 0 %}
							<ul class="nav d-flex justify-content-center">
								{% for category in page.header.serviceMenu %}
								    {% set externalLink = category.translated.externalLink %}
								    <li class="nav-item">
								    	<a class="nav-link"
										href="{% if externalLink %}{{ externalLink }}{% else %}{{ seoUrl('frontend.navigation.page', { navigationId: category.id }) }}{% endif %}"
										title="{{ category.translated.name }}">{{ category.translated.name }}</a>
								    </li>
								{% endfor %}
						    </ul>
						{% endif %}
		        
						
		        
					{% endblock %}
				    
				    <p>{{ "footer.copyrightInfo"|trans|sw_sanitize }}</p>
				</div>
		    {% endblock %}
		
		    
		
		    {% block layout_footer_copyright %}{% endblock %}
		</div>
    </div>
{% endblock %}

{% block layout_footer_payment_shipping_logos %}{% endblock %}